prefix=@prefix@
prgdir=@PRGDIR@
imdir=@IMDIR@

CFLAGS = @CFLAGS@
CFLAGS += -I.
PROG_LIB = libimmclient.a
DLIB_OBJS = TLC_LibImmClient.o
SERVER_LIB=../server/libimm_server.so

CFLAGS = -g  -Wall -I. -I../../include -I../server -I../client
# CFLAGS = -g -D__IMM_DEBUG__ -Wall -I. -I../include

all: $(PROG_LIB)

libimmclient.a: $(DLIB_OBJS)
	ar rc $(PROG_LIB) $(DLIB_OBJS)
TLC_LibImmClient.o: TLC_LibImmClient.cpp
	gcc $(CFLAGS) -c TLC_LibImmClient.cpp -o TLC_LibImmClient.o

install: all
	mkdir -p $(prefix)$(imdir)
	cp -f $(PROG_LIB) $(prefix)$(imdir)
clean:
	rm -f *.o *.bak $(PROG_LIB) $(PROG)

distclean: clean
	rm -f Makefile

